%define major 1
%define libname %mklibname verto %{major}
%define devname %mklibname -d verto

%define glib_major 1
%define glib_libname %mklibname verto-glib %{glib_major}
%define glib_devname %mklibname verto-glib -d

%define libevent_major 1
%define libevent_libname %mklibname verto-libevent %{libevent_major}
%define libevent_devname %mklibname verto-libevent -d

%define tevent_major 1
%define tevent_libname %mklibname verto-tevent %{tevent_major}
%define tevent_devname %mklibname verto-tevent -d

%define libev_major 1
%define libev_libname %mklibname verto-libev %{libev_major}
%define libev_devname %mklibname verto-libev -d

Name:           libverto
Version:        0.3.1
Release:        %mkrel 2
Summary:        Main loop abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://fedorahosted.org/libverto/
Source0:        http://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz
Patch1:         libverto-0.2.6-configure-libev.patch
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(tevent)
BuildRequires:  pkgconfig(libev)

%description
libverto provides a way for libraries to expose asynchronous interfaces
without having to choose a particular event loop, offloading this
decision to the end application which consumes the library.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   verto-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{devname}
Header files and development libraries for %{name}.

%package -n %{glib_libname}
Summary:    glib module for %{name}
Group:      System/Libraries
Obsoletes:  libverto-glib < 0.3.0-2

%description -n %{glib_libname}
Module for %{name} which provides integration with glib.

This package does NOT yet provide %{name}-module-base.

%package -n %{glib_devname}
Summary:    Development files for %{name}-glib
Group:      Development/C
Requires:   %{glib_libname} = %{version}-%{release}
Provides:   libverto-glib-devel = %{version}-%{release}
Obsoletes:  libverto-glib-devel < 0.3.0-2

%description -n %{glib_devname}
This package contains libraries and header files for
developing applications that use %{name}-glib.

%package -n %{libevent_libname}
Summary:    libevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}
Obsoletes:  libverto-libevent < 0.3.0-2

%description -n %{libevent_libname}
Module for %{name} which provides integration with libevent.

%package -n %{libevent_devname}
Summary:    Development files for %{name}-libevent
Group:      Development/C
Requires:   %{libevent_libname} = %{version}-%{release}
Provides:   libverto-libevent-devel = %{version}-%{release}
Obsoletes:  libverto-libevent-devel < 0.3.0-2

%description -n %{libevent_devname}
This package contains libraries and header files for
developing applications that use %{name}-libevent.

%package -n %{tevent_libname}
Summary:    tevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}
Obsoletes:  libverto-tevent < 0.3.0-2

%description -n %{tevent_libname}
Module for %{name} which provides integration with tevent.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package -n %{tevent_devname}
Summary:    Development files for %{name}-tevent
Group:      Development/C
Requires:   %{tevent_libname} = %{version}-%{release}
Provides:   libverto-tevent-devel = %{version}-%{release}
Obsoletes:  libverto-tevent-devel < 0.3.0-2

%description -n %{tevent_devname}
This package contains libraries and header files for
developing applications that use %{name}-tevent.

%package -n %{libev_libname}
Summary:    libev module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}
Obsoletes:  libverto-libev < 0.3.0-2

%description -n %{libev_libname}
Module for %{name} which provides integration with libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package -n %{libev_devname}
Summary:    Development files for %{name}-libev
Group:      Development/C
Requires:   %{libev_libname} = %{version}-%{release}
Provides:   libverto-libev-devel = %{version}-%{release}
Obsoletes:  libverto-libev-devel < 0.3.0-2

%description -n %{libev_devname}
This package contains libraries and header files for
developing applications that use %{name}-libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{glib_libname}
%{_libdir}/%{name}-glib.so.%{glib_major}{,.*}

%files -n %{glib_devname}
%{_includedir}/verto-glib.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files -n %{libevent_libname}
%{_libdir}/%{name}-libevent.so.%{libevent_major}{,.*}

%files -n %{libevent_devname}
%{_includedir}/verto-libevent.h
%{_libdir}/%{name}-libevent.so
%{_libdir}/pkgconfig/%{name}-libevent.pc

%files -n %{tevent_libname}
%{_libdir}/%{name}-tevent.so.%{tevent_major}{,.*}

%files -n %{tevent_devname}
%{_includedir}/verto-tevent.h
%{_libdir}/%{name}-tevent.so
%{_libdir}/pkgconfig/%{name}-tevent.pc

%files -n %{libev_libname}
%{_libdir}/%{name}-libev.so.%{libev_major}{,.*}

%files -n %{libev_devname}
%{_includedir}/verto-libev.h
%{_libdir}/%{name}-libev.so
%{_libdir}/pkgconfig/%{name}-libev.pc


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.3.1-2.mga8
+ Revision: 1540790
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 16 2019 guillomovitch <guillomovitch> 0.3.1-1.mga8
+ Revision: 1468350
- new version 0.3.1

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1299211
- Mageia 7 Mass Rebuild

* Thu Mar 15 2018 wally <wally> 0.3.0-2.mga7
+ Revision: 1209621
- fix lib and dev pkg names

* Wed Mar 14 2018 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1209550
- new version 0.3.0

* Fri Sep 15 2017 cjw <cjw> 0.2.6-7.mga7
+ Revision: 1154071
- patch1: fix libev support in build scripts

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 0.2.6-6.mga6
+ Revision: 1086235
- rebuild for new libevent

* Thu Feb 11 2016 umeabot <umeabot> 0.2.6-5.mga6
+ Revision: 955719
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.2.6-4.mga6
+ Revision: 867772
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.2.6-3.mga5
+ Revision: 750584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.6-2.mga5
+ Revision: 681839
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 guillomovitch <guillomovitch> 0.2.6-1.mga5
+ Revision: 603479
- new version 0.2.6

* Sat Oct 19 2013 umeabot <umeabot> 0.2.5-3.mga4
+ Revision: 535982
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 guillomovitch <guillomovitch> 0.2.5-2.mga4
+ Revision: 405318
- fix dependencies

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-3.mga3
+ Revision: 358329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 guillomovitch <guillomovitch> 0.2.4-2.mga3
+ Revision: 337032
- add devel virtual packages

* Mon Dec 31 2012 guillomovitch <guillomovitch> 0.2.4-1.mga3
+ Revision: 336670
- imported package libverto

